## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class LengthType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.NumberType
                          org.eclipse.jst.jsf.taglibprocessing.attributevalues.IntegerType
                              org.eclipse.jst.jsf.taglibprocessing.attributevalues.LengthType

All Implemented Interfaces:
  IDefaultValue, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class LengthType

extends IntegerType

Meta-data processing type representing an length attribute value runtime type. Does not support min and max values from MD. Length must be positive. that implements IValidValues, IDefaultValue, IValidELValues.

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`LengthType()`

Method Summary
`boolean` `isValidValue(java.lang.String value)` Type coercion according to JSP 2.0 spec: JSP.1.14.2.1 Conversions from String values Allows a percentage.

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
`getDefaultValue, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### LengthType

    public LengthType()

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Type coercion according to JSP 2.0 spec: JSP.1.14.2.1 Conversions from String values Allows a percentage.

  Specified by:
    `isValidValue` in interface `IValidValues`
  Overrides:
    `isValidValue` in class `IntegerType`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid
  See Also:
    `IValidValues.isValidValue(java.lang.String)`